mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
* [ptxdist] [PATCH 1/3] ptxdist: _get_config_ptx: fix --force logic
@ 2019-11-14 16:01 Roland Hieber
  2019-11-14 16:01 ` [ptxdist] [PATCH 2/3] platforms: toolchain: bump default toolchain version Roland Hieber
  2019-11-14 16:01 ` [ptxdist] [PATCH 3/3] ptxdist: add 'init', 'init-platform' commands to create new configs Roland Hieber
  0 siblings, 2 replies; 7+ messages in thread
From: Roland Hieber @ 2019-11-14 16:01 UTC (permalink / raw)
  To: ptxdist; +Cc: Roland Hieber

When --force is used to override that message, PTXDIST_FORCE is set to
true in parse_first(), resulting in the message to be shown.

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
 bin/ptxdist | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/ptxdist b/bin/ptxdist
index 9394b1739190..cd673a9f3dd6 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -250,7 +250,7 @@ _get_config_ptx() {
 
 
 	configfile_version="$(ptxd_get_ptxconf PTXCONF_CONFIGFILE_VERSION)"
-	if [ $? -ne 0 -a -n "${PTXDIST_FORCE}" ]; then
+	if [ $? -ne 0 -a -z "${PTXDIST_FORCE}" ]; then
 		ptxd_dialog_msgbox \
 			"error:	the config file '${PTXDIST_PTXCONFIG#${PTXDIST_WORKSPACE}/}'\n" \
 			"	is missing the symbol 'PTXCONF_CONFIGFILE_VERSION',\n" \
-- 
2.24.0


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2019-11-27  9:37 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-11-14 16:01 [ptxdist] [PATCH 1/3] ptxdist: _get_config_ptx: fix --force logic Roland Hieber
2019-11-14 16:01 ` [ptxdist] [PATCH 2/3] platforms: toolchain: bump default toolchain version Roland Hieber
2019-11-14 16:01 ` [ptxdist] [PATCH 3/3] ptxdist: add 'init', 'init-platform' commands to create new configs Roland Hieber
2019-11-15 14:09   ` Michael Olbrich
2019-11-15 14:30     ` Roland Hieber
2019-11-16 10:21       ` Michael Olbrich
2019-11-27  9:37         ` Roland Hieber

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox